# Componere\Abstract\Definition::addTrait

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addTrait — Add Trait

### 说明

public Componere\Abstract\Definition::addTrait(string `$trait`): Definition

Shall use the given trait for the current definition

### 参数

`trait`
  The case insensitive name of a trait

### 返回值

The current Definition

### Exceptions

警告

Shall throw RuntimeException if Definition was registered

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open